﻿using System.Net;
using Tesses.Chatr.Server;
using WebSocketProxy;

/*
DataBase.SetDb("data.db");
UserManagement.DefaultVerificationStatus=true;
Func<string,string> getPath=(e)=>{
 return Path.Combine(page,"wwwroot",e);
};*/
DataBase.SetDb("data.db");
UserManagement.DefaultVerificationStatus=true;
  string? page=Path.GetDirectoryName(Environment.CurrentDirectory);
   if(string.IsNullOrWhiteSpace(page))
   {
        page=Environment.CurrentDirectory;
   }
Func<string,string> getPath=(e)=>{
     return Path.Combine(page,"wwwroot",e);
};
AppConfig.WebSocketSameAsHttp=false;

           

await ChatrApp.Init(new Arguments(args),getPath,new System.Net.IPEndPoint(System.Net.IPAddress.Any,4031),new WebSocketSharp.Server.WebSocketServer(System.Net.IPAddress.Any,4030));
            