using Newtonsoft.Json;
using Chatr;
using System;
using System.Collections.Generic;
namespace Tesses.Chatr.Server
{
public class Message
{
    public Message()
    {
        CreationTime=new DateTime(1970,1,1);
        Content="";
        IsFromBot=false;
        IsToBot=false;
    }
    
    public DateTime CreationTime {get;set;}
    public long Id {get;set;}
    public long SourceUserId {get;set;}

    public bool IsFromBot {get;set;}

    public long SourceBotId {get;set;}

    public bool IsToBot {get;set;}

    public long DestinationBotId {get;set;}
    public long DestinationUserId {get;set;}

    public string Content {get;set;}
}

public class Notification
{
    public Notification()
    {
        Title="";
        Body="";
        OnClick=new NotificationEvent();
        NotificationButtons=new List<NotificationButton>();
        
        BotNotificationId="";
    }
    public string BotNotificationId {get;set;}
    public long Id {get;set;}

   
    public string Title {get;set;}

    public string Body {get;set;}

    public long DestinationUserId {get;set;}

    public long SourceUserId {get;set;}

    public long SourceBotId {get;set;}

    public string BotUserString {get;set;}
    //no dest bot id
    public NotificationEvent OnClick {get;set;}

    public List<NotificationButton> NotificationButtons {get;set;}
}

}